.bibbase_body {
    position: relative;
    margin: 2rem;
}

#bibbase_header {
    margin-bottom: -30px;
}

#bibbase_header a {
    text-decoration: none;
}

#bibbase_header i {
    width: 16px;
    text-align: center;
    margin-right: 5px;
}

.bibbase_group:before {
    border-top: 1px solid #0070ba;
    content: '';
    display: table-cell;
    position: relative;
    top: 0.5em;
    flex: auto;
    margin-right: 0;
}

.bibbase_group:after {
    border-top: 1px solid #0070ba;
    content: '';
    display: table-cell;
    position: relative;
    top: 0.5em;
    flex: auto;
    margin-left: 0.25em;
}

.bibbase_group {
    color: #0070ba;
    font-family: Stalemate, cursive;
    font-size: 2rem;
    font-weight: 400;
    margin-top: 0;  /* Take margin out since we add it below */
    margin-bottom: 0;
    cursor: pointer;
    text-align: center;
    display: flex;
    flex-direction: row;
}

.bibbase_group_count { display: none; }

.bibbase_group_head_icon { display: none; }

.bibbase_group_body { line-height: 1.3; }   /* Fix the line spacing of the note field (conference name) */

.bibbase_paper { margin-bottom: 1rem !important; }

.bibbase_paper_title { margin: 0.5rem 0; } /* Add a little space between sections */

.bibbase_paper_author { margin: 0.5rem 0; }

.bibbase_paper_content { margin: 0.5rem 0; }

img.bibbase_icon { pointer-events:none; } /* Turns off annoying tooltip on paper link
                                             but turns off hover effect as well... */

.bibbase_paper_title        { display: block; }
.bibbase_paper_title a      { color: inherit !important; }  /* These important tags needed to override important tags in bibbase common.css */
.bibbase_paper_title a:hover { color: #0070ba !important; border-bottom: none; }
.bibbase_paper_author       { display: block; }
.bibbase_paper_content      { display: block; }
/*
span.bibbase_icon_text      { display: none; }*/
span.bibbase_icon_text      { margin-right: 14px; }
a.bibbase.bibbase_page.link { display: none; }
a.bibbase.bibtex.link       { display: none; }
a.bibbase_abstract_link.link { margin-right: 18px; }

#bibbase .well {
    font-size: 0.8rem;
    text-align: justify;
    border: 1px solid #e4e1d8;
    background-color: #eeece7;
    margin: 9px;
}

img.bibbase_icon {
    width: 20px;
    max-height: 16px;
    vertical-align: text-top;
    filter: url("data:image/svg+xml;utf8,<svg%20xmlns='http://www.w3.org/2000/svg'><filter%20id='grayscale'><feColorMatrix%20type='matrix'%20values='0.3333%200.3333%200.3333%200%200%200.3333%200.3333%200.3333%200%200%200.3333%200.3333%200.3333%200%200%200%200%200%201%200'/></filter></svg>#grayscale"); /* Firefox 3.5+ */
    filter: grayscale(100%); /* Current draft standard */
    -webkit-filter: grayscale(100%); /* New WebKit */
    -moz-filter: grayscale(100%);
    -ms-filter: grayscale(100%);
    -o-filter: grayscale(100%);
    filter: gray; /* IE6+ */
}

img.bibbase_icon:hover {
    filter: none;
    -webkit-filter: grayscale(0);
}

.bibbase_code {
    width: 80%
}

.comment {
    font-size: smaller;
    font-style: italic;
    color: gray;
}

.recommended {
    color: green;
}

/* bootstrap */

.bibbase_msg {
    text-align: center;
    width: 80%;
    margin: auto;
}

#bibbase_embed_modal {
    width: 70%;
    left: 15%;
    margin: 0;
}

.bibbase.well {
    margin: 20px;
    overflow-wrap: break-word;
}

.bibbase.link {
    text-decoration: none;
}

.bibbase_paper_content {
    font-size: smaller;
}

br.bibbase_paper_content {
    display: none;
}

/* Rename types of document */
#group_article div.bibbase_group i+span:before { content: " Journal Articles</span><span style='display:none'>" }
#group_inproceedings div.bibbase_group i+span { display: none; }
#group_mastersthesis div.bibbase_group i+span { display: none; }
#group_phdthesis div.bibbase_group i+span { display: none; }
#group_techreport div.bibbase_group i+span { display: none; }
#group_unpublished div.bibbase_group i+span { display: none; }
#group_incollection div.bibbase_group i+span { display: none; }
#group_patent div.bibbase_group i+span { display: none; }

/*#group_article div.bibbase_group span:after { content: " Journal Articles" }
#group_inproceedings div.bibbase_group i:after { content: " Conference Papers" }
#group_mastersthesis div.bibbase_group i:after { content: " Master's Thesis" }
#group_phdthesis div.bibbase_group i:after { content: " PhD Thesis" }
#group_techreport div.bibbase_group i:after { content: " Technical Reports" }
#group_unpublished div.bibbase_group i:after { content: " Unpublished Works" }
#group_incollection div.bibbase_group i:after { content: " Book Chapters" }
#group_patent div.bibbase_group i:after { content: " Patent Publications" }
*/

/* Fix the loading spinner */
img#spinner {
    width: 16px;
    margin: 0px auto;
}

/* Style Dimensions badge to get it inline */
span.__dimensions_badge_embed__ { display: inline; }
@media (max-width: 450px) { span.__dimensions_badge_embed__ { display: none; }  /* Hide the dimensions badge */ }

/* Specific changes for Presentations list */
#presentations-list .bibbase_paper_author {
    display: none;      /* Don't show author names (for now) on the presentations list */
}

/* Horrendous hack to hide the untagged original date field */
#presentations-list .bibbase_paper {
    font-size: 0;
}
#presentations-list .bibbase_paper .bibbase_paper_titleauthoryear {
    font-size: 1rem; /* Restore the font size for the title */
}
#presentations-list .bibbase_paper .note {
    font-size: 1rem; /* Restore the font size for the title */
}
#presentations-list .bibbase_paper .bibbase_note {
    font-size: 1rem; /* Restore the font size for the title */
}
#presentations-list .bibbase_paper .bibbase_paper_content {
    font-size: small;
}
#presentations-list .bibbase_paper .well {
    font-size: small;
}

/***************************** Responsive design *****************************/
/* Don't waste space on abstract box margin on narrow screens */
@media (max-width: 660px) { #bibbase .well { margin: 9px -9px 9px -9px; } }

